### Method

# WebKit FileChooserRequest get_mime_types

#### Declaration [src]

    const gchar* const*
    webkit_file_chooser_request_get_mime_types (
      WebKitFileChooserRequest* request
    )

#### Description [src]

Get the list of MIME types the file chooser dialog should handle.

Get the list of MIME types the file chooser dialog should handle, in the format specified in RFC 2046 for “media types”. Its contents depend on the value of the ‘accept’ attribute for HTML input elements. This function should normally be called before presenting the file chooser dialog to the user, to decide whether to allow the user to select multiple files at once or only one.

Gets property | `WebKit.FileChooserRequest:mime-types`

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of strings if a list of accepted MIME types is defined or `NULL` otherwise, meaning that any MIME type should be accepted. This array and its contents are owned by WebKit and should not be modified or freed.

The array is `NULL`-terminated.
The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.